// $Id: contact.h,v 1.3 2017/04/10 04:37:39 leavens Exp leavens $
#ifndef CONTACT_H
#define CONTACT_H 1
#include <stdlib.h>
#include "person.h"
#include "us_phone.h"

typedef struct contact_pair {
    person who;
    us_phone num;
} contact_t;

typedef contact_t * contact;

// requires: num_contacts < MAX_CONTACT_SIZE;
// modifies: stdout, stdin
// effect: From stdin, read a person (with prompts "first name? " and
//         "last name? ")  and a US phone number (with prompts "area code? ",
//         and "number (in form 555-1212)? "), the prompts all going to stdout.
//         Then create a new contact with that person and phone number, 
//         and return it. Errors cause a message to be printed on stdout
//         (as specified in the modules person and us_phone)
//         and NULL to be returned. 
extern contact read_contact();

// requires: contact is allocated (and not NULL)
// ensures: result is a string of the form:
//            "name: Firstname Lastname phone: (AAA)EEE-SSSS"
//          where Firstname is the first_name of c->who,
//                Lastname is the last_name of c->who,
//                and AAA is the area_code of c->num
//                and EEE-SSSS is the digits of c->num.
extern char *contact_to_string(contact c);

#endif
